#
# Find the BOOST includes and library
#

SET(BOOST_DIR "BOOST_DIR-NOTFOUND" CACHE STRING "Path to the BOOST source root directory")

# Error if values are empty:
#
IF(USE_BOOST)
  IF(NOT BOOST_DIR)
    MESSAGE(SEND_ERROR "Could not determine value for BOOST_DIR. Provide value or turn off BOOST. Value should be the Path to the BOOST source root directory.")
  ELSE(NOT BOOST_DIR)
    SET(BOOST_FOUND ON)
    ADD_DEFINITIONS(-DUSE_BOOST)
  ENDIF(NOT BOOST_DIR)
ENDIF(USE_BOOST)
