#ifdef _MSC_VER
#pragma warning ( disable : 4068 4786 4081 )
#endif

#ifndef WIN32
#pragma implementation "basics/Bool.h"
#endif
#include "basics/Bool.h"
#include <stdlib.h>
#include <cstring>

namespace yav {

#ifdef WIN32
bool atob(const char*str) throw()
{return atob(str, false);}
#endif

bool atobe(const char*str) throw(ErrUnknown)
{
  int tmp;
  if (sscanf(str,"%d",&tmp)==1){
    return (tmp!=0);
  }
  if (strcmp(str,"false")==0){
    return false;
  }
  if (strcmp(str,"true")==0){
    return true;
  }
  throw(ErrUnknown("atob"));
}

bool atob(const char*str, bool defaut) throw()
{
  try {
    return atobe(str);
  }
  catch (...) {
    return defaut;
  }
}

}

