#ifdef _MSC_VER
#pragma warning ( disable : 4068 4786 4081 )
#endif

#ifndef WIN32
#pragma implementation "basics/Constants.h"
#endif
#include "basics/Constants.h"

#ifdef WIN32
#include "basics/export.h"
#endif

namespace yav {

template<> char minTypeValue<char>(char) {
  return MIN_SIGNED_CHAR;
}
template<> char maxTypeValue<char>(char) {
  return MAX_SIGNED_CHAR;
}
template<> unsigned char minTypeValue<unsigned char>(unsigned char) {
  return MIN_UNSIGNED_CHAR;
}
template<> unsigned char maxTypeValue<unsigned char>(unsigned char) {
  return MAX_UNSIGNED_CHAR;
}
template<> short int minTypeValue<short int>(short int) {
  return MIN_SIGNED_SHORT;
}
template<> short int maxTypeValue<short int>(short int) {
  return MAX_SIGNED_SHORT;
}
template<> unsigned short int minTypeValue<unsigned short int>(unsigned short int) {
  return MIN_UNSIGNED_SHORT;
}
template<> unsigned short int maxTypeValue<unsigned short int>(unsigned short int) {
  return MAX_UNSIGNED_SHORT;
}
template<> int minTypeValue<int>(int) { return MIN_SIGNED_INT; }
template<> int maxTypeValue<int>(int) { return MAX_SIGNED_INT; }
template<> unsigned int minTypeValue<unsigned int>(unsigned int) {
  return MIN_UNSIGNED_INT;
}
template<> unsigned int maxTypeValue<unsigned int>(unsigned int) {
  return MAX_UNSIGNED_INT;
}

template<> float minTypeValue<float>(float) { return MIN_FLOAT; }
template<> float maxTypeValue<float>(float) { return MAX_FLOAT; }
template<> double minTypeValue<double>(double) { return MIN_DOUBLE; }
template<> double maxTypeValue<double>(double) { return MAX_DOUBLE; }


template<> LONGINT minTypeValue<LONGINT>(LONGINT) {
  return (LONGINT) MIN_SIGNED_LONG;
}

template<> LONGINT maxTypeValue<LONGINT>(LONGINT) {
  return (LONGINT) MAX_SIGNED_LONG;
}

template<> unsigned LONGINT minTypeValue<unsigned LONGINT>(unsigned LONGINT) {
  return MIN_UNSIGNED_LONG;
}

template<> unsigned LONGINT maxTypeValue<unsigned LONGINT>(unsigned LONGINT) {
  return (LONGINT) MAX_UNSIGNED_LONG;
}

template <> double castFromDouble<double>(double v) {
	return v;
}
template <> float castFromDouble<float>(double v) {
	return (float) v;
}

}
