#ifdef _MSC_VER
#pragma warning ( disable : 4068 4786 4081 )
#endif


#include "basics/Math.h"
#include <stdlib.h>
#include <math.h>

#ifdef WIN32
#include "basics/export.h"
#endif


#ifdef WIN32
#ifndef __MINGW32__
int rint(double a)
{
  double test = fabs ( a - double(int(a)) );
  int res = 0;
  if(a>0)
    (test>0.5)?(res=(int)(a+1)):res=(int)a;  
  else
    (test>0.5)?(res=(int)(a-1)):res=(int)a;
  
  return res;
}
#endif
#endif

namespace yav {

double signd(double x)
{
  if (x>0)
    return(1.0);
  else if (x<0)
    return(-1.0);
  else
    return(0.0);
}

int signi(double a) {
  return (a == 0.0) ? 0 : (a > 0.0 ? 1 : -1);
}

int round(double x)
{
  return((int) floor(x));
  /*  if (x>0)
    return((int) x);
  else if (x<0)
    return(((int) x) -1);
  else
  return(0);*/
}
int signedFloor(double a) {
  int b;

  if(a >= 0.0) b = (int) a;
  else b = ((int) a) - 1;
  return b;
}


double drand()
{
  return((double)(rand()/(RAND_MAX+1.0)));
}


}

