namespace yav {

template <class T> ObjectPointer<T>::ObjectPointer(Owner<T> *_owner, T *_pointer)
  : owner(_owner), pointer(_pointer) {
	pointerIsDead=false;
  if(pointer) ((Pointed<T> *) pointer)->pointedFrom(this);
}


template <class T> ObjectPointer<T>::~ObjectPointer() {
  if ((pointer)&&(pointerIsDead==false)) ((Pointed<T> *) pointer)->pointedAway(this);
}



template <class T> T *ObjectPointer<T>::operator=(T *org) {
  if((pointer) &&(pointerIsDead==false)) {
    ((Pointed<T> *) pointer)->pointedAway(this);
    owner->loosing(*this);
  }
  pointer = org;
  if(pointer) ((Pointed<T> *) pointer)->pointedFrom(this);
  return pointer;
}

/*
template <class T> void ObjectPointer<T>::operator delete(void *) {
  if(pointer) delete pointer;
  }
*/

template <class T> void ObjectPointer<T>::dying(void) {
 pointerIsDead=true;
  owner->dying(*this);
  pointer = 0;
}

}
