#ifdef _MSC_VER
#pragma warning ( disable : 4068 4786 4081 )
#endif

#include <framework/IteratedActiveObject.h>
#include <framework/IteratedActiveObjectManager.h>

namespace yav {

IteratedActiveObject::IteratedActiveObject(IteratedActiveObjectManager *agm) {
if (agm) {
  agm->activeObjectList.append(this);
}
manager=agm;
active=true;
iterationNumber=0;
computationTime=0L;
integratedTime=0.0;
}

void IteratedActiveObject::changeManager(IteratedActiveObjectManager *agm){
  if (getList())
    disconnect();
  if (agm)
    agm->activeObjectList.append(this);
  manager=agm;
}

} // namespace yav

