#ifdef _MSC_VER
#pragma warning ( disable : 4068 4786 4081 )
#endif

#pragma implementation "graphics2D/Data2D.h"
#pragma implementation "graphics/Data.h"
#pragma implementation "graphics/UserInterface.h"
#include <graphics/Data.h>
#include <graphics2D/Data2D.h>

namespace yav {

typedef FileScene<Scene2D> FileScene2D;
AUTOLINK_STATIC_VARIABLES(FileScene2D);

Data2D::Data2D(Scene2D *scene, bool exclusive
	       , unsigned int ro
		   ) : 
#ifdef GRAPHICS
GraphicsData< Vec2 < double > , Rotation2D, Scene2D, Camera2D, Data2D>(scene,exclusive)
#else
Data< Scene2D,Data2D> (scene,exclusive)
#endif
    , redrawOrder(ro)
{}

Data2D::~Data2D() {
}


#ifdef GRAPHICS
void Data2D::updateCenterAndRadius(void) {
  unsigned int n = 1;
  center=Vec2<double>();
  updateCenter(center, n);
  radius = updateRadius(center);
  focusScene();
}
#endif


UserInterface2D::UserInterface2D(Scene2D *scene)
  : UserInterface<Scene2D, Vec2<double>, UserInterface2D>(scene) {
}


UserInterface2D::~UserInterface2D() {
}


} // namespace yav
