#ifdef _MSC_VER
#pragma warning ( disable : 4068 4786 4081 )
#endif

#pragma implementation "graphics2D/SurfaceSliceable.h"
#include <graphics2D/SurfaceSliceable.h>
#ifdef GRAPHICS
#include <graphics2D/Data2D.h>
#endif
namespace yav {

	
AUTOLINK_STATIC_VARIABLES(SurfaceSliceable);

  /** modifies the display of all sliceables (usually SurfaceView) that 
      owns this surface sliceable object */
void SurfaceSliceable::updateSliceDisplay() 
{
#ifdef GRAPHICS
	std::list<ObjectPointer<SurfaceSliceable> *>::iterator it=getFirstPointer();
	for (;it!=getLastPointer();++it)
	{
		Data2D *s=dynamic_cast<Data2D *>((*it)->getOwner()); 
		if (s) {
			s->redrawScene();
		}
	}

#endif
}
  
} // namespace yav

