#ifdef _MSC_VER
#pragma warning ( disable : 4068 4786 4081 )
#endif

#pragma implementation "graphics2D/TclBasicCameraBackground.h"

#include <graphics2D/TclBasicCameraBackground.h>
#include <graphics2D/TclCamera2D.h>

namespace yav {
 
	TclBasicCameraBackground::TclBasicCameraBackground(TclCamera2D *cam,const char *filename) : BasicCameraBackground(cam->getClient(),
		filename), TclObject(typeid(TclBasicCameraBackground),cam->getModule()) {
				cam->resize(getNbRealColumns()+1,getNbRealRows()+1);
			done(typeid(TclBasicCameraBackground));
		}

TclBasicCameraBackground::TclBasicCameraBackground(TclCamera2D *cam,unsigned int *b, const unsigned int nr, const unsigned int nc,
												   Format f) : BasicCameraBackground(cam->getClient(),b,nr,nc,f),
TclObject(typeid(TclBasicCameraBackground),cam->getModule()) {
	cam->resize(getNbRealColumns()+1,getNbRealRows()+1);
done(typeid(TclBasicCameraBackground));
}
 
TclBasicCameraBackground::~TclBasicCameraBackground(){
	deleted(typeid(TclBasicCameraBackground));
}
  //@}
 
  
  /// -destroy option
int TclBasicCameraBackground::destroyCmd(int argc, char **argv){
	 if(argc != 0) return COMMAND_SYNOPSIS;
  TclModule *m = getModule();
  unsigned int u = getRef();
  m->setResult("%s%u does not exist any longer",
	       TclBasicCameraBackground::getObjectName(), u);
  delete this;
  return TCL_OK;
}
  /// new TCL command callback
 int TclBasicCameraBackground::create(TclModule *m, int argc, char **argv){
 TclBasicCameraBackground *b=0;
 TclCamera2D *cam;
 if(argc == 3) {
	 cam= (TclCamera2D *) TclObjectKind::getObject(typeid(TclCamera2D), argc, argv, 1);
	 if (!cam) {
		 m->setResult("%s must be a 2D camera",argv[1]);
		 return TCL_ERROR;
	 }	  else {
		 try{
			 b= new TclBasicCameraBackground(cam,argv[2]);
		 }
		 catch (Exception e) {
			 m->setResult("illegal image file");
		 }
	 }
  }
  else
    return COMMAND_SYNOPSIS;
  m->setResult(b->name());
  return TCL_OK;
}


}
