#ifndef GRAPHICS2DCMD_H
#define GRAPHICS2DCMD_H





namespace yav {

/** the routine that initialize the tclCamera2D Module */

void Tclgraphics2d_Init(TclModule *m);





/** \class TclGraphics2DInit
    \ingroup Graphics2D
    dummy class whose constructor updates the initMap hash table by inserting
    tclCamera2D with the tclCamera2D keyword */
class TclGraphics2DInit {

public:

  /** keyword defining the Camera2D Module */

  static const char *tclGraphics2DName;

  /** actually register Tclcamera2d_Init in the hash table */

	TclGraphics2DInit() {

		INIT_MODULE_FUNCTION i=Tclgraphics2d_Init;

		TclModule::getModuleNameMap().insert(std::pair<char *,INIT_MODULE_FUNCTION>((char *)TclGraphics2DInit::tclGraphics2DName,i));

	}

	virtual ~TclGraphics2DInit() {}

};



}

#endif



