#ifdef _MSC_VER
#pragma warning ( disable : 4068 4786 4081 )
#endif

#pragma implementation "graphics3D/Data3D.h"
#pragma implementation "graphics/RangeData.h"
#pragma implementation "graphics/Data.h"
#pragma implementation "graphics/UserInterface.h"
#include <graphics3D/Data3D.h>


namespace yav {

typedef FileScene<Scene3D> FileScene3D;
AUTOLINK_STATIC_VARIABLES(FileScene3D);


Data3D::Data3D(Scene3D *scn, bool exclusive
#ifdef GRAPHICS
	       , unsigned int ro
#endif
	       )
#ifdef GRAPHICS
  : GraphicsData<Vec3<double>, Rotation3D, Scene3D, Camera3D, Data3D>(scn, exclusive)
#else
  : Data<Scene3D, Data3D>(scn, exclusive)
#endif
#ifdef GRAPHICS
    , redrawOrder(ro)
#endif
{
}


Data3D::~Data3D() {
}





#ifdef GRAPHICS
void Data3D::updateCenterAndRadius(void) {
  unsigned int n = 1;
  updateCenter(center, n);
  radius = updateRadius(center);
  focusScene();
}
#endif


} // namespace yav

