#ifdef _MSC_VER
#pragma warning ( disable : 4068 4786 4081 )
#endif

#pragma implementation "graphics3D/TclLightFantom.h"
#include <graphics3D/TclLightFantom.h>


namespace yav {



TclLightFantom::TclLightFantom(Light *light,TclCamera3D *cam)
  : TclMaterialSphere(typeid(TclLightFantom), new LightFantom(light,cam->getClient()),
		      cam->getModule()) {
  ((TclScene3D *)  (getClient()->getScene()->getInterface()))->selectCameraObject((Data3D *) client);
}


TclLightFantom::~TclLightFantom() {
}


int TclLightFantom::destroyCmd(int argc, char **argv) {
  if(argc > 0) return COMMAND_SYNOPSIS;

  TclModule *m = getModule();
  unsigned int ref = getRef();
  delete this;
  m->setResult("%s%u does not exist any longer",
	       TclObjectKind::getObjectName(typeid(TclLightFantom)), ref);
  return TCL_OK;
}



} // namespace yav

