#ifndef TCLCAMERA3DACTIVATION_H
#define TCLCAMERA3DACTIVATION_H

#ifdef _MSC_VER
#pragma warning ( disable : 4068 4786 4081 )
#endif

#include <graphics3D/Camera3DActivation.h>

namespace yav {


/** a class that handles the autorotation of a camera or an object */
class TclCamera3DActivation : public Camera3DActivation {
public:
/** Creates a new camera. The camera visualize given scene. If scn is 0
	@param cam the scene where the camera should look at. If scn is 0 the camera visualize the first scene in global scene list (if any) or a new scene is created */
    TclCamera3DActivation(Camera3D *cam): Camera3DActivation(cam) {}
    
    /** @name destructor */
    //@{
    /// empty
    virtual ~TclCamera3DActivation(){}
    //@}
    
    /// callback function when the object is activated
     virtual void activation();
     ///  function for redrawing the camera
     virtual void redraw();
	///  function for setting the OpenGL context
	virtual void setContext();
  
};
}

#endif
