#include <gtk/gtk.h> // Use gtk because libgen.h don't exists on win32

#include <string.h>

#include "mipsDataSet.h"

namespace mips {

DataSet::DataSet ()
{
}

DataSet::~DataSet ()
{
}

const char*
DataSet::GetFileName()
{
  return m_filename.c_str();  
}

const char*
DataSet::GetFileBaseName()
{
  gchar *basename = g_path_get_basename(m_filename.c_str());
  char *base = strdup(basename);
  g_free(basename); 
  return base;   
}

const char*
DataSet::GetFileDirName()
{
  gchar *dirname = g_path_get_dirname(m_filename.c_str());
  char *dir = strdup(dirname);
  g_free(dirname); 
  return dir;   
}

void
DataSet::SetFileName(const char * p_filename)
{
  m_filename = p_filename;  
}


} //namespace mips
