#ifndef MIPS_APPLICATION_GUI_H
#define MIPS_APPLICATION_GUI_H

#include "gtk/gtk.h"

namespace mips {

/** \class ApplicationGUI
    \ingroup MipsViewer
*/
class ApplicationGUI 
{
 public:
  /** Create a ApplicationGUI.  */
  ApplicationGUI();

  /** Destroy the ApplicationGUI */
  virtual ~ApplicationGUI();

  /** Get the top widget containing the main GUI application.*/
  virtual GtkWidget* GetWorkspaceTopWidget();
  
};

} //namespace mips

#endif /* MIPS_APPLICATION_GUI_H */
