#ifdef __cplusplus
extern "C" {
#endif

#ifndef WIN32
#include <X11/X.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xmu/WinUtil.h>
#include <X11/Xmd.h>

/** dump an X window in an xwd file
    @param display window X display
    @param window window X id
    @param filename file to dump result in */
void WindowDump(Display *display, Window window, char *filename);
#else
#include <tcl.h>
#include <tk.h>
#include <windows.h>
#include <math.h>
/** dump a widget in a ppm file
    @param tkwin Tk window 
    @param drawable windows id
    @param filename file to dump result in */
void WindowDump(Tk_Window tkwin, Drawable drawable, char *filename);
#endif
#ifdef __cplusplus
}
#endif

