/* epi_distance.h 2.2 5/14/98 */
#ifndef _epi_distance_h_
#define _epi_distance_h_

/*------------------------------------------------------------
* parameters of distance computations
* 
*------------------------------------------------------------*/
typedef struct e_ParamDistance{
	float thres;
	int choix;       /* type de distance */
	int mode;        /* mode 2D ou 3D */
	int inc[5];      /* les 5 increments pour le calcul, ils concernent */
	                 /* inc[0] : voisin par une face dans le plan       */
	                 /* inc[1] : voisin par une arete dans le plan      */
	                 /* inc[2] : voisin par une face dans le plan sup.  */
	                 /* inc[3] : voisin par une arete dans le plan sup. */
	                 /* inc[4] : voisin par un sommet dans le plan sup. */
	t_3Point hm;
} e_ParamDistance, *e_ParamDistancePtr;

#define DIST_6            1
#define DIST_18           2 
#define DIST_26           3
#define DIST_CHAMFER      4
#define DIST_CHAMFER2     5
#define DIST_CHAMFER3     6
#define DIST_EUCLI        7
#define DIST_SQR_EUCLI    8
#define DIST_4           11
#define DIST_6_2D        11
#define DIST_8           12
#define DIST_18_2D       12 
#define DIST_26_2D       12
#define DIST_CHAMFER_2D  14
#define DIST_CHAMFER2_2D 15
#define DIST_CHAMFER3_2D 16
#define DIST_USER        20

#endif
