/* epidaure.h 2.2 5/14/98 */
/************************************************************************/
/*
	epidaure.h

	General include for epidaure.lib files

	(c) Jean-Philippe THIRION -- INRIA -- October 25 1992
*/
/************************************************************************/

#ifndef _epidaure_h_
#define _epidaure_h_

#ifndef _epi_unix_h_
#include <epi_unix.h>			/* unix principal included files	*/
#endif

#ifndef _epi_err_h_
#include <epi_err.h>            /* error messages                   */
#endif

#include <epi_kernel.h>
#include <epi_close.h>
#include <epi_connex.h>
#include <epi_extent.h>
#include <epi_filter.h>
#include <epi_distance.h>
#include <epi_gutil.h>
#include <epi_math.h>
#include <epi_math2.h>
#include <epi_morpho.h>
#include <epi_recfilt.h>
#include <epi_reech.h>
#include <epi_spline.h>



#if defined(_ANSI_)
void RndInit(void);/* Initialize random generator  ~ srand48 */
double UniformRnd(void);/* returns a random value between 0 and 1 ~ drand48 */
double GaussianRnd(void);/* Returns a random Gaussian value */
#else
void RndInit()
double UniformRnd()
 double GaussianRnd()
#endif

#endif
