#ifndef IMAGEDATACMD_H
#define IMAGEDATACMD_H

namespace yav {

/** the routine that initialize the tclImageData Module */
void Tclimagedata_Init(TclModule *m);


/** \class TclImageDataInit
    \ingroup ImageData
    \brief dummy class whose constructor updates the initMap hash table by inserting tclCamera2D with the tclCamera2D keyword */
class TclImageDataInit {
public:
  /** keyword defining the ImageData Module */
  static const char *tclImageDataName;
  /** actually register Tclimagedata_Init in the hash table */
	TclImageDataInit() {
		INIT_MODULE_FUNCTION i=Tclimagedata_Init;
		TclModule::getModuleNameMap().insert(std::pair<char *,INIT_MODULE_FUNCTION>((char *)TclImageDataInit::tclImageDataName,i));
	}
	virtual ~TclImageDataInit() {}
};

} // namespace yav

#endif

