#include "vtkImageData.h"

#include "mipsVtkImageDataSet.h"

namespace mips {

VtkImageDataSet::VtkImageDataSet() :
  ImageDataSet()
{
}

VtkImageDataSet::~VtkImageDataSet()
{
  if (m_vtkImageData)
    m_vtkImageData->Delete(); // vtk smart Delete 
}
  
void
VtkImageDataSet::SetVtkImage(vtkImageData* p_vtkImage)
{
  this->SetVtkImageData(p_vtkImage);  
}

void
VtkImageDataSet::UpdateVtkImageData()
{
}

}
