#ifndef _mips_VTKImageDataToInrimage_h_
#define _mips_VTKImageDataToInrimage_h_

#include <inrimage/Inrimage.h>
#include "mipsInrimageVTKImageImport.h"
#include <vtkImageExport.h>
#include <vtkImageData.h>

namespace yav {
  class Inrimage;
};

namespace mips
{


  class VTKImageDataToInrimage
  {
    
  public:

    typedef yav::Inrimage  Inrimage;

    VTKImageDataToInrimage();
    ~VTKImageDataToInrimage();
    
    void SetInput (vtkImageData*);
    Inrimage* GetOutput (void) const
    { return m_Importer->GetOutput(); }

    void Update (void);
    
  protected:

    
  private:
    vtkImageData*           m_Input;
    vtkImageExport*         m_Exporter;
    InrimageVTKImageImport* m_Importer;
    

  };

} // end of namespace


#endif
