
#ifndef ITL_MTL_AMEND_H
#define ITL_MTL_AMEND_H

#include <vector>

template <class T>
class pointer_vector;


namespace mtl {

  template <class T>
    struct linalg_traits<pointer_vector<T> > {
      typedef oned_tag  dimension;
      typedef dense_tag sparsity;
      typedef T         value_type;
      typedef typename number_traits<value_type>::magnitude_type 
              magnitude_type;
    };

  template <class T>
    struct linalg_traits<std::vector<T> > {
      typedef oned_tag  dimension;
      typedef dense_tag sparsity;
      typedef T         value_type;
      typedef typename number_traits<value_type>::magnitude_type 
              magnitude_type;
    };


}

#endif // ITL_MTL_AMEND_H
