#
# this module looks for METIS
#  a Graph Partitioning Library
# http://www-users.cs.umn.edu/~karypis/metis/index.html
#
# it will define the following values
#
# METIS_INCLUDE_DIR = where metis.h can be found
# METIS_LIBRARY     = the path to find the metis library
#



FIND_PATH(METIS_INCLUDE_DIR metis.h
	/usr/local/include 
	/usr/include 
	/usr/include/metis
	/usr/local/metis/include
)

FIND_LIBRARY(METIS_LIBRARY "libmetis.a"
	/usr/local/lib
	/usr/lib
	/usr/local/metis
)

