#
# Intermediate Makefile to find values defined during the PETSC Build Process
#
# Input Variables :
#
# PETSC_ARCH        = Type of system optimization. It takes $PETSC_ARCH 
#                     environnement variable if defined.
# BOPT              = Specify the PETSC's build type.
# PETSC_DIR         = Directory where PETSC is installed
# PETSC_VARS_FILE   = Makefile to include to determine compilation and 
#                     link flags
#                       ex: ...../bmake/common/variables
#
# WANTED_VARIABLE   = The variable we are searching for.
# 

ifdef PETSC_VARS_FILE
include ${PETSC_VARS_FILE}
endif

ifneq "$(strip ${${WANTED_VARIABLE}})" ""
all :
	@echo "$(strip ${${WANTED_VARIABLE}})"
else
all:
endif



