#ifndef _YAV_BOOL_H
#define _YAV_BOOL_H

#ifdef _MSC_VER
#pragma warning ( disable : 4068 4786 4081 4290 )
#endif

#ifndef WIN32
#pragma interface "basics/Bool.h"
#endif

#ifdef WIN32
#include "basics/export.h"
#endif

#include "basics/Exception.h"

namespace yav {

#if !(defined WIN32) && ((!defined __cplusplus) || (!(defined _SGI_) && !(defined __GNUC__)))

/** a 8-bits coded boolean type */
typedef unsigned char bool;
/* true is non 0 */
#define true '\1'
/* false is 0 */
#define false '\0'

#endif

#ifdef WIN32
bool atob(const char*str, bool defaut) throw();
bool atob(const char*str) throw();
#else
bool atob(const char*str, bool defaut=false) throw();
#endif
bool atobe(const char*str) throw(ErrUnknown);

}

#endif
