namespace yav {

template <class T> Pointed<T>::~Pointed(void) {
   // copy pointers list since it is likely to be modified in T::dying()
  std::list<ObjectPointer<T> *> p = pointers;

  typename std::list<ObjectPointer<T> *>::iterator it=p.begin();
  while (it!=p.end()) {
		ObjectPointer<T> *pt=(*it);
   	    pointers.remove(pt);
		pt->dying();
		it++;
	}
}
/// returns the first list item of pointers referecing this object
template <class T>  typename std::list<ObjectPointer<T> *>::iterator Pointed<T>::getFirstPointer(void) { 
	return pointers.begin(); 
}
  /// returns the last list item of pointers referecing this object
template <class T>    typename std::list<ObjectPointer<T> *>::iterator Pointed<T>::getLastPointer(void) { 
	return pointers.end(); 
}

}
