#ifdef _MSC_VER
#pragma warning ( disable : 4068 4786 4081 )
#endif

#pragma implementation "framework/Client.h"
#include <framework/Client.h>


namespace yav {


Client::Client() : TclInterface(0) {
}


Client::~Client() {
  if(TclInterface) {
    TclInterface->clientDying();
    TclInterface = 0;
  }
}


void Client::interfaceDied(void) {
  TclInterface = 0;
  delete this;
}

void Client::setInterface(Interface *interf) {
  if(TclInterface) {
    TclInterface->setClient(0);
    delete TclInterface;
  }
  TclInterface = interf;
  TclInterface->setClient(this);
}


Interface *Client::getInterface(void) const {
  return TclInterface;
}


} // namespace yav

