#ifndef SLICEORIENTATION_H
#define SLICEORIENTATION_H


namespace yav {


  /** the different geometry of a slice of a volumetric image */
  enum SLICE_ORIENTATION { 
    /// slice with X (column) = constant
    SLICE_X = 0,
    /// slice with Y (row) = constant
    SLICE_Y = 1,
    /// slice with Z (plane) = constant
    SLICE_Z = 2, 
    /// slice with alpha (angle in XY) = constant
	SLICE_ALPHA = 3,
	SLICE_Y_FLIPY = 4,
	SLICE_Y_FLIPX = 5,
	SLICE_X_ROTATED = 6
  };





}



#endif // ifndef SLICECAMERA_H
