#ifdef _MSC_VER
#pragma warning ( disable : 4068 4786 4081 )
#endif

#ifndef WIN32
#pragma implementation "linearAlgebra/Math.h"
// templates pre-instanciation
#pragma implementation "linearAlgebra/cVec.h"
#pragma implementation "linearAlgebra/Vec.h"
#pragma implementation "linearAlgebra/Mat.h"
#pragma implementation "linearAlgebra/Sym.h"
#pragma implementation "linearAlgebra/Vec2.h"
#pragma implementation "linearAlgebra/Vec3.h"
#pragma implementation "linearAlgebra/Vec4.h"
#pragma implementation "linearAlgebra/HVec4.h"
#pragma implementation "linearAlgebra/Matrix2x2.h"
#pragma implementation "linearAlgebra/Matrix3x3.h"
#pragma implementation "linearAlgebra/Matrix4x4.h"
#endif

#include "linearAlgebra/TestMath.h"
#include <stdlib.h>
#include <math.h>
#include <cstring>



namespace yav {

template<> void Xlinalg_Small_Val<double>(double& v) { v=1e-12;}
template<> void Xlinalg_Small_Val<float>(float& v) { v=(float)1e-6;}

template<> void Xlinalg_Class_Name<double>(double& v,char*buf) { strcpy(buf,"double");}
template<> void Xlinalg_Class_Name<float>(float& v,char*buf) { strcpy(buf,"float");}


template <class T>
void TestVecMatt()
{
//   Vect<1,T>::Test();
//   Vect<2,T>::Test();
//   Vect<3,T>::Test();
//   Vect<4,T>::Test();
//   Vec2<T>::Test();
//   Vec3<T>::Test();
  Vec4<T>::Test();
//   HVec4<T>::Test();
//   Mat<1,1,T>::Test();
//   Mat<1,2,T>::Test();
//   Mat<1,3,T>::Test();
//   Mat<1,4,T>::Test();
//   Mat<2,1,T>::Test();
//   Mat<2,2,T>::Test();
//   Mat<2,3,T>::Test();
//   Mat<2,4,T>::Test();
//   Mat<3,1,T>::Test();
//   Mat<3,2,T>::Test();
//   Mat<3,3,T>::Test();
//   Mat<3,4,T>::Test();
//   Mat<4,1,T>::Test();
//   Mat<4,2,T>::Test();
//   Mat<4,3,T>::Test();
//   Mat<4,4,T>::Test();
//   Matrix<1,T>::Test();
//   Matrix<2,T>::Test();
//   Matrix<3,T>::Test();
//   Matrix<4,T>::Test();
//   Sym<1,T>::Test();
//   Sym<2,T>::Test();
//   Sym<3,T>::Test();
//   Sym<4,T>::Test();
//   Matrix2x2<T>::Test();
//   Matrix3x3<T>::Test();
//   Matrix4x4<T>::Test();
}

void TestVecMat()
{
  TestVecMatt<float>();
  //TestVecMatt<double>();
}

}

