#ifndef TESTMATH_H
#define TESTMATH_H

#ifdef _MSC_VER
#pragma warning ( disable : 4068 4786 4081 )
#endif

#ifndef WIN32
#pragma interface "linearAlgebra/TestMath.h"
#endif

#include "linearAlgebra/Vec.h"
#include "linearAlgebra/Mat.h"
#include "linearAlgebra/Sym.h"
#include "linearAlgebra/Vec2.h"
#include "linearAlgebra/Vec3.h"
#include "linearAlgebra/Vec4.h"
#include "linearAlgebra/HVec4.h"
#include "linearAlgebra/Matrix2x2.h"
#include "linearAlgebra/Matrix3x3.h"
#include "linearAlgebra/Matrix4x4.h"
#include "linearAlgebra/Rotation3D.h"

#ifdef WIN32
//#include "basics/export.h"
#endif


namespace yav {

template <class T>
void TestVecMatt();
void TestVecMat();

}

#endif

