#ifndef USERINTERFACE_C
#define USERINTERFACE_C

namespace yav {

template <class SCENE, class VEC, class INTERFACE >
UserInterface<SCENE, VEC, INTERFACE >::UserInterface(SCENE *scene) {
  if (scene == 0)
    {
      // If there are no existing scene
      if (AutoLink<SCENE>::getCount()==0)
	{
	  // creates a new scene
	  scene = new SCENE();
	}
      else
	// Otherwise gets the first in list
	scene= AutoLink<SCENE>::getHead();
    }
  scene->addUserInterface((INTERFACE *) this);
}

} // namespace yav
#endif // USERINTERFACE_C
