#ifdef _MSC_VER
#pragma warning ( disable : 4068 4786 4081 )
#endif

#pragma implementation "graphics3D/Scene3D.h"
#include <graphics3D/Scene3D.h>
#ifdef GRAPHICS
#include <graphics3D/Camera3DActivation.h>
#endif

namespace yav {

AUTOLINK_STATIC_VARIABLES(Scene3D);


void Scene3D::redraw() {
#ifdef GRAPHICS
 ObjectsList< Camera3D >::iterator it = firstCamera();
 for(; it!=lastCamera(); it++) {
	 if ((*it)->getCameraActivation()) {
        (*it)->getCameraActivation()->redraw();
	 }
 }
#endif
}

Scene3D::~Scene3D() {
}

} // namespace yav



