#ifndef GRAPHICS3DCMD_H
#define GRAPHICS3DCMD_H

namespace yav {

/** the routine that initialize the tclCamera2D Module */
void Tclgraphics3d_Init(TclModule *m);


/** \class TclGraphics3DInit
    \ingroup Graphics3D
    dummy class whose constructor updates the initMap hash table by inserting
    tclCamera2D with the tclCamera2D keyword */
class TclGraphics3DInit {
public:
  /** keyword defining the Camera3D Module */
  static const char *tclGraphics3DName;
  /** actually register Tclcamera3d_Init in the hash table */
	TclGraphics3DInit() {
		INIT_MODULE_FUNCTION i=Tclgraphics3d_Init;
		TclModule::getModuleNameMap().insert(std::pair<char *,INIT_MODULE_FUNCTION>((char *)TclGraphics3DInit::tclGraphics3DName,i));
	}
	virtual ~TclGraphics3DInit() {}
};

}

#endif

