#ifndef MIPS_READER_H
#define MIPS_READER_H

namespace mips {

class DataSet;  
  
/** \class Reader
    \ingroup MipsGUI
*/
class Reader 
{
 public:
  /** Reader the given file and return an associated DataSet.
      Return NULL if failed.
      Destruction of the DataSet is in charge of the user */
  virtual DataSet * Read (const char* p_filename) const;
  
};

} //namespace mips

#endif /* MIPS_READER_H */
