#ifndef _MIPS_VTKVIEWIMAGE2DFULLCOMMAND_H_
#define _MIPS_VTKVIEWIMAGE2DFULLCOMMAND_H_

#include <glib-object.h>
#include<vtkCommand.h>
#include<vtkObjectFactory.h>

namespace mips
{
  
class VtkViewImage2D;
class VtkViewImage2DFullCommand : public vtkCommand
{
    
public:
  VtkViewImage2DFullCommand() {m_SignalEmitTest = NULL;}
  
  static  VtkViewImage2DFullCommand* New() 
  { return new VtkViewImage2DFullCommand; }
    
  void Execute(vtkObject *   caller, 
               unsigned long event, 
               void *        callData);    
    
  VtkViewImage2D*            IV;
  float                      InitialWindow;
  float                      InitialLevel;

  bool                       m_WindowEventStatus;
  /// Test g_signal_emit
  gpointer                   m_SignalEmitTest;
};

} // end of namespace

#endif
