#include "mipsApplicationGUIManager.h"

#include "mipsApplicationGUI.h"

namespace mips {

std::vector<ApplicationGUI*> ApplicationGUIManager::m_applicationGUIs;  

const std::vector<ApplicationGUI*>&  
ApplicationGUIManager::GetApplicationGUIs() 
{
  return m_applicationGUIs;  
}

void
ApplicationGUIManager::AddApplicationGUI(ApplicationGUI* p_application)
{
  if (p_application)
    m_applicationGUIs.push_back(p_application);  
}

} //namespace mips
