#include "mipsIterationUnitC.h"
#include <assert.h>

namespace mips {

IterationUnitC::
IterationUnitC (CFunctionToRunType func_to_run) 
  : IterationUnit()
{
  assert(func_to_run);
  m_functionToRun = func_to_run;
}

void IterationUnitC::CallFunction ()
{
  (*m_functionToRun) ();
}

} //namespace mips
