#include <imagedata/RangeInrimage2DGraphics.h>

namespace yav {
RangeInrimage2DGraphics::RangeInrimage2DGraphics(Inrimage *intensity, Scene2D *scene,
				 Inrimage *gradient, Inrimage *gradientdir,
				 Inrimage *edge, Inrimage *gradient2,
				 Inrimage *classify)
  throw(Inrimage::ImageNotFound, Inrimage::UnknownImageType,
	Inrimage::InvalidHeader, Inrimage::InvalidData,
	Inrimage::UnknownType)
  :    RangeInrimage2D(intensity, gradient, gradientdir, edge, gradient2, classify)
,Data2D(scene)
 {
   initFormat();
}


RangeInrimage2DGraphics::RangeInrimage2DGraphics(const TclString& fileName, Scene2D *scene)
  throw(Inrimage::ImageNotFound, Inrimage::UnknownImageType,
	Inrimage::InvalidHeader, Inrimage::InvalidData,
	Inrimage::UnknownType)
  : RangeInrimage2D(fileName),Data2D(scene)
 {

 initFormat();
}


RangeInrimage2DGraphics::~RangeInrimage2DGraphics() {
}


void RangeInrimage2DGraphics::dying(const ObjectPointer<Inrimage>& obj)
{

  RangeInrimage::dying(obj);
}






} // namespace yav
