#include <imagedata/RangeInrimage3DGraphics.h>

namespace yav {
RangeInrimage3DGraphics::RangeInrimage3DGraphics(Inrimage *intensity, Scene3D *scene,
				 Inrimage *gradient, Inrimage *gradientdir,
				 Inrimage *edge, Inrimage *gradient2,
				 Inrimage *classify)
  throw(Inrimage::ImageNotFound, Inrimage::UnknownImageType,
	Inrimage::InvalidHeader, Inrimage::InvalidData,
	Inrimage::UnknownType)
  :    RangeInrimage3D(intensity, gradient, gradientdir, edge, gradient2, classify)
,Data3D(scene)
 {
   initFormat();
}


RangeInrimage3DGraphics::RangeInrimage3DGraphics(const TclString& fileName, Scene3D *scene)
  throw(Inrimage::ImageNotFound, Inrimage::UnknownImageType,
	Inrimage::InvalidHeader, Inrimage::InvalidData,
	Inrimage::UnknownType)
  : RangeInrimage3D(fileName),Data3D(scene)
 {
 initFormat();
}


RangeInrimage3DGraphics::~RangeInrimage3DGraphics() {
}


void RangeInrimage3DGraphics::dying(const ObjectPointer<Inrimage>& obj)
{

  RangeInrimage::dying(obj);
}






} // namespace yav
