#ifndef MIPS_IMAGE_DATASET_FACTORY_H
#define MIPS_IMAGE_DATASET_FACTORY_H

#include "mipsDataSetFactory.h" 

namespace mips {

/** \class ImageDataSetFactory
    \ingroup ImageGUI
*/
class ImageDataSetFactory : public DataSetFactory
{
 public:
  
  ImageDataSetFactory();  
  
  /** Create a new known DataSet. Return NULL if the given dataSet type name
      do not correspond to any of the registered DataSet type or if there is
      no memory left.*/  
  virtual DataSet* NewDataSet(const char * p_datatSetTypeName);
  
};
 
} // namespace mips

#endif //MIPS_IMAGE_DATASET_FACTORY_H
