#ifndef MIPS_VTK_IMAGE_DATASET_H
#define MIPS_VTK_IMAGE_DATASET_H

#include "mipsImageDataSet.h" 

class vtkImageData;  

namespace mips {

/** \class VtkImageDataSet mipsVtkImageDataSet.h 
    \ingroup ImageGUI
    \brief DataSet for VtkImage (vtkStructuredPoints) */
class VtkImageDataSet : public ImageDataSet
{
 public:
  VtkImageDataSet();            /**< Default constructor */
  virtual ~VtkImageDataSet();   /**< Default destructor */ 
  void SetVtkImage(vtkImageData* p_inrimage);
  vtkImageData* GetVtkImage(); /**< Extract the vtkImageData class from
                                * dataset */
    
  virtual void          UpdateVtkImageData();

};

} // namespace mips

#endif //MIPS_VTK_IMAGE_DATASET_H
