

#ifdef _MSC_VER
#pragma warning ( disable : 4068 4786 4081 )
#endif

#pragma implementation "inrimage/TclStructuringElement.h"

#include <inrimage/TclStructuringElement.h>
#include <inrimage/TclInrimage.h>


namespace yav {

  TclStructuringElement::~TclStructuringElement() {}

  int TclStructuringElement::create(TclModule *m, int argc, char **argv) {

    if (argc != 2) return COMMAND_SYNOPSIS;

    TclInrimage *param = TclInrimage::getObject(argc, argv, 1);
    
    TclStructuringElement *Struct= new TclStructuringElement(typeid(TclStructuringElement), m, param->getClient());

    m->setResult("%s%u", Struct->getObjectName(), Struct->getRef());
  
  return TCL_OK;


  }

  TclStructuringElement::TclStructuringElement(const std::type_info& info, TclModule *m, const Inrimage *image) throw(TclStructuringElement::InvalidElement ) : TclObject(info, m), StructuringElement(image) 
{
  done(typeid(TclStructuringElement));
}

  
} // namespace yav
