/* Fichier Tri3x3x3AnisotropZ.h */
#ifndef TRI3X3X3ANISOTROPZ_H
#define TRI3X3X3ANISOTROPZ_H

#ifdef _YAV_
#include "MaskTri.h"
namespace yav {
#else
#include "distancemap/MaskTri.h"
#endif // _YAV_

/** class Tri3x3x5 */
class Tri3x3x3AnisotropZ : public MaskTri
{
public :
  /** @name Constructors */
  //@{
  ///
  Tri3x3x3AnisotropZ(int _order = 1);
  ///@}
  /** @name Destructor */
  //@{ 
  /// 
  ~Tri3x3x3AnisotropZ();
  ///@}

  /** @name Other methods */
  ///
  void printTriangulation();

  unsigned char *** editFinalMask();

  
protected :
  /// Fields
  float dz;

};


#ifdef _YAV_
} //namespace yav
#endif 

#endif // TRI3X3X3ANISOTROPZ_H
