/*************************************************************************
 * convert.h - conversion between types
 *
 * $Id: _convert.h,v 1.2 2001/07/25 16:25:04 jdlemare Exp $
 *
 * CopyrightINRIA 1998
 *
 * AUTHOR:
 * Gregoire Malandain (greg@sophia.inria.fr)
 * http://www.inria.fr/epidaure/personnel/malandain/
 * 
 * CREATION DATE: 
 * June, 9 1998
 *
 * ADDITIONS, CHANGES
 *
 */

#ifndef _CONVERT_H_
#define _CONVERT_H_

namespace yav {


template <class TO , class FROM> void ConvertBuffer ( TO *to,
						      FROM *from,
						      void *bufferIn,
						      void *bufferOut,
						      int bufferLength
						      );

} // namespace yav

#include <_convert.C>

#endif
