#ifndef INRIMAGECMD_H
#define INRIMAGECMD_H

namespace yav {

/** the routine that initialize the tclInrimage Module */
void Tclinrimage_Init(TclModule *m);


/** \class TclInrimageInit
    \ingroup Inrimage
    \brief dummy class whose constructor updates the initMap hash table by inserting tclInrimage with the tclInrimage keyword */
class TclInrimageInit {
public:
  /** keyword defining the Inrimage Module */
  static const char *tclInrimageName;
  /** actually register TclInrimage_Init in the hash table */
	TclInrimageInit() {
		INIT_MODULE_FUNCTION i=Tclinrimage_Init;
		TclModule::getModuleNameMap().insert(std::pair<char *,INIT_MODULE_FUNCTION>((char *)TclInrimageInit::tclInrimageName,i));
	}
	virtual ~TclInrimageInit() {}
};

} // namespace yav

#endif
